Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/BoxesLayoutEngine.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/BoxesLayoutEngine.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/BoxesLayoutEngine.cs	(revision 12537)
@@ -26,5 +26,5 @@
 using System.Linq;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   public class BoxesLayoutEngine<T> : ILayoutEngine<T> where T : class {
     public int NodeWidth { get; set; }
Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ILayoutEngine.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ILayoutEngine.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ILayoutEngine.cs	(revision 12537)
@@ -24,5 +24,5 @@
 using System.Collections.Generic;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   interface ILayoutEngine<T> where T : class {
     int NodeWidth { get; set; }
Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/LayoutNode.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/LayoutNode.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/LayoutNode.cs	(revision 12537)
@@ -24,5 +24,5 @@
 using System.Linq;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   internal class LayoutNode<T> : object where T : class {
     public float Width { get; set; }
Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ReingoldTilfordLayoutEngine.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ReingoldTilfordLayoutEngine.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/LayoutEngines/ReingoldTilfordLayoutEngine.cs	(revision 12537)
@@ -5,5 +5,5 @@
 using System.Linq;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   public class ReingoldTilfordLayoutEngine<T> : ILayoutEngine<T> where T : class {
     public int NodeWidth { get; set; }
Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNode.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNode.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNode.cs	(revision 12537)
@@ -22,5 +22,5 @@
 using System.Drawing;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   public class VisualTreeNode<T> where T : class {
     private static readonly Color defaultLineColor = Color.Black;
Index: branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNodeConnection.cs
===================================================================
--- branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNodeConnection.cs	(revision 12536)
+++ branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Trees/VisualTreeNodeConnection.cs	(revision 12537)
@@ -23,5 +23,5 @@
 using System.Drawing.Drawing2D;
 
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views {
+namespace HeuristicLab.Visualization {
   public class VisualTreeNodeConnection {
     private static readonly Color defaultLineColor = Color.Black;