Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/HeuristicLab.Services.WebApp.Status-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/HeuristicLab.Services.WebApp.Status-3.3.csproj	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/HeuristicLab.Services.WebApp.Status-3.3.csproj	(revision 12546)
@@ -73,8 +73,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\Newtonsoft.Json.6.0.4\lib\net45\Newtonsoft.Json.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12546)
@@ -80,13 +80,13 @@
                     <tr data-toggle="tooltip" data-placement="bottom" title="All online slaves">
                         <td class="text-left">Total:</td>
-                        <td class="text-right">{{status.MemoryStatus.TotalMemory | toGB}}</td>
+                        <td class="text-right">{{status.MemoryStatus.TotalMemory | kbToGB}} GB</td>
                     </tr>
                     <tr data-toggle="tooltip" data-placement="bottom" title="All calculating and idle slaves that are allowed to calculate">
                         <td class="text-left">Active:</td>
-                        <td class="text-right">{{status.MemoryStatus.ActiveMemory | toGB}}</td>
+                        <td class="text-right">{{status.MemoryStatus.ActiveMemory | kbToGB}} GB</td>
                     </tr>
                     <tr data-toggle="tooltip" data-placement="bottom" title="All calculating slaves that are allowed to calculate">
                         <td class="text-left">Calculating:</td>
-                        <td class="text-right">{{status.MemoryStatus.UsedMemory | toGB}}</td>
+                        <td class="text-right">{{status.MemoryStatus.UsedMemory | kbToGB}} GB</td>
                     </tr>
                 </table>
@@ -233,6 +233,6 @@
                             <td>{{slave.Slave.Name}}</td>
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
-                            <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | toGB}}</td>
+                            <td>{{slave.Cores - slave.FreeCores | number}} / {{slave.Cores | number}}</td>
+                            <td>{{slave.Memory - slave.FreeMemory | kbToGB}} / {{slave.Memory | kbToGB}} GB</td>
                         </tr>
                         <tr ng-hide="activeCalculatingSlaves.length">
@@ -291,6 +291,6 @@
                             <td>{{slave.Slave.Name}}</td>
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
-                            <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | toGB}}</td>
+                            <td>{{slave.Cores - slave.FreeCores | number}} / {{slave.Cores | number}}</td>
+                            <td>{{slave.Memory - slave.FreeMemory | kbToGB}} / {{slave.Memory | kbToGB}} GB</td>
                         </tr>
                         <tr ng-hide="activeIdleSlaves.length">
@@ -348,6 +348,6 @@
                             <td>{{slave.Slave.Name}}</td>
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
-                            <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | toGB}}</td>
+                            <td>{{slave.Cores - slave.FreeCores | number}} / {{slave.Cores | number}}</td>
+                            <td>{{slave.Memory - slave.FreeMemory | kbToGB}} / {{slave.Memory | kbToGB}} GB</td>
                         </tr>
                         <tr ng-hide="inactiveSlaves.length">
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12546)
@@ -202,12 +202,3 @@
         }]
     );
-
-    module.filter('toGB', function () {
-        return function (text, length, end) {
-            if (text == null || text == '') text = '0';
-            text = Math.round(parseInt(text) / 1024);
-            return text + ' GB';
-        };
-    });
-
 })();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/packages.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/packages.config	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/packages.config	(revision 12546)
@@ -5,4 +5,4 @@
   <package id="Microsoft.AspNet.WebApi.Core" version="5.2.3" targetFramework="net45" />
   <package id="Microsoft.AspNet.WebApi.WebHost" version="5.2.3" targetFramework="net45" />
-  <package id="Newtonsoft.Json" version="6.0.4" targetFramework="net45" />
+  <package id="Newtonsoft.Json" version="7.0.1" targetFramework="net45" />
 </packages>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12546)
@@ -89,4 +89,5 @@
         .IncludeDirectory("~/WebApp/shared/services", "*.js", true)
         .IncludeDirectory("~/WebApp/shared/directives", "*.js", true)
+        .IncludeDirectory("~/WebApp/shared/filter", "*.js", true)
         .IncludeDirectory("~/WebApp/shared/menu", "*.js", true)
       );
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12546)
@@ -23,5 +23,4 @@
     <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\</SolutionDir>
     <RestorePackages>true</RestorePackages>
-    <WebGreaseLibPath>..\..\packages\WebGrease.1.5.2\lib</WebGreaseLibPath>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -44,7 +43,7 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Antlr3.Runtime, Version=3.4.1.9004, Culture=neutral, PublicKeyToken=eb42632606e9261f, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\Antlr.3.4.1.9004\lib\Antlr3.Runtime.dll</HintPath>
-      <Private>True</Private>
+    <Reference Include="Antlr3.Runtime, Version=3.5.0.2, Culture=neutral, PublicKeyToken=eb42632606e9261f, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Antlr.3.5.0.2\lib\Antlr3.Runtime.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.CSharp" />
@@ -53,7 +52,7 @@
       <Private>True</Private>
     </Reference>
-    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\Newtonsoft.Json.6.0.8\lib\net45\Newtonsoft.Json.dll</HintPath>
-      <Private>True</Private>
+    <Reference Include="Newtonsoft.Json, Version=7.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Newtonsoft.Json.7.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -118,8 +117,4 @@
     </Reference>
     <Reference Include="System.Net.Http.WebRequest">
-    </Reference>
-    <Reference Include="WebGrease, Version=1.5.2.14234, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\WebGrease.1.5.2\lib\WebGrease.dll</HintPath>
-      <Private>True</Private>
     </Reference>
   </ItemGroup>
@@ -169,20 +164,12 @@
     <Content Include="WebApp\libs\smoothScroll\smoothScroll.js" />
     <Content Include="WebApp\app.js" />
-    <Content Include="WebApp\plugins\login\login.css">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
-    <Content Include="WebApp\plugins\login\login.js">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
-    <Content Include="WebApp\plugins\login\loginCtrl.js">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
+    <Content Include="WebApp\plugins\about\about.js" />
+    <Content Include="WebApp\plugins\about\aboutCtrl.js" />
+    <Content Include="WebApp\plugins\login\login.css" />
+    <Content Include="WebApp\plugins\login\login.js" />
+    <Content Include="WebApp\plugins\login\loginCtrl.js" />
     <Content Include="WebApp\plugins\plugins\pluginsExceptionCtrl.js" />
-    <Content Include="WebApp\plugins\plugins\plugins.js">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
-    <Content Include="WebApp\plugins\plugins\pluginsCtrl.js">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
+    <Content Include="WebApp\plugins\plugins\plugins.js" />
+    <Content Include="WebApp\plugins\plugins\pluginsCtrl.js" />
     <Content Include="WebApp\plugins\plugins\pluginsService.js" />
     <Content Include="WebApp\shared\directives\flot.js" />
@@ -226,4 +213,5 @@
     <Content Include="WebApp\libs\bootstrap\fonts\glyphicons-halflings-regular.woff" />
     <Content Include="WebApp\libs\bootstrap\fonts\glyphicons-halflings-regular.woff2" />
+    <Content Include="WebApp\shared\filter\filters.js" />
     <Content Include="WebApp\shared\images\HeuristicLab-Logo.png" />
     <Content Include="WebApp\shared\layout\layout.cshtml" />
@@ -233,13 +221,7 @@
     <Content Include="WebApp\shared\menu\menu.cshtml" />
     <Content Include="WebApp\shared\restricted\empty.cshtml" />
-    <Content Include="WebApp\plugins\login\login.cshtml">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
-    <Content Include="WebApp\plugins\plugins\plugins.cshtml">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
-    <Content Include="WebApp\plugins\plugins\Web.config">
-      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
-    </Content>
+    <Content Include="WebApp\plugins\login\login.cshtml" />
+    <Content Include="WebApp\plugins\plugins\plugins.cshtml" />
+    <Content Include="WebApp\plugins\plugins\Web.config" />
   </ItemGroup>
   <ItemGroup>
@@ -259,4 +241,7 @@
       <Name>HeuristicLab.Services.Hive-3.3</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="WebApp\plugins\about\about.cshtml" />
   </ItemGroup>
   <PropertyGroup>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Web.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Web.config	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Web.config	(revision 12546)
@@ -59,5 +59,5 @@
       <dependentAssembly>
         <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
-        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
+        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
       </dependentAssembly>
       <dependentAssembly>
@@ -67,5 +67,5 @@
       <dependentAssembly>
         <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
-        <bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
+        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930" />
       </dependentAssembly>
       <dependentAssembly>
@@ -81,4 +81,8 @@
         <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
       </dependentAssembly>
+      <dependentAssembly>
+        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" culture="neutral" />
+        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2" />
+      </dependentAssembly>
     </assemblyBinding>
   </runtime>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12546)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12546)
@@ -0,0 +1,55 @@
+﻿<div class="default-view-container">
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Responsible for Contents and Editing of Pages</h3>
+                </div>
+                <div class="panel-body">
+                    <p>
+                        Heuristic and Evolutionary Algorithms Laboratory (HEAL)<br />
+                        School of Informatics, Communications and Media<br />
+                        University of Applied Sciences Upper Austria<br />
+                        Softwarepark 11<br />
+                        A-4232 Hagenberg, Austria<br />
+                        (media owner and editor for the purposes of the Austrian Media Act)<br />
+                    </p>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Contact</h3>
+                </div>
+                <div class="panel-body">
+                    <p><strong>Support and Inquiries</strong>: ​<a href="mailto:#">support@heuristiclab.com</a></p>
+                    <p><strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong>: <a href="​http://heal.heuristiclab.com">​http://heal.heuristiclab.com</a></p>
+                    <p>
+                        <strong>Head of HeuristicLab</strong>:<br />
+                        FH-Prof. DI Dr. Stefan Wagner<br />
+                        Phone: +43 50804 22030<br />
+                        Fax: +43 50804 21599<br />
+                        E-mail: <a href="mailto:#">stefan.wagner@heuristiclab.com</a><br />
+                    </p>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Disclaimer of Liability and Endorsement</h3>
+                </div>
+                <div class="panel-body">
+                    <p style="text-align:justify">HeuristicLab is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details (http://www.gnu.org/licenses). All contents on the development homepage and wiki of the HeuristicLab have been compiled carefully. Still, the Heuristic and Evolutionary Algorithms Laboratory (HEAL) makes no guarantees of accuracy, completeness and timeliness of the information on this website. Therefore HEAL accepts no responsibility or liability for damages or losses resulting from the use of this website and/or the software.</p>
+                </div>
+            </div>
+        </div>
+    </div>
+</div>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.js	(revision 12546)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.js	(revision 12546)
@@ -0,0 +1,19 @@
+﻿var appAboutPlugin = app.registerPlugin('about');
+(function () {
+    var plugin = appAboutPlugin;
+    plugin.dependencies = ['ngResource', 'ui.bootstrap'];
+    plugin.files = ['aboutCtrl.js'];
+    plugin.view = 'about.cshtml';
+    plugin.controller = 'app.about.ctrl';
+    plugin.routes = [];
+
+    var menu = app.getMenu();
+    var section = menu.getSection('Menü', -1);
+    section.addEntry({
+        index: 10000,
+        name: 'About',
+        route: '#/about',
+        icon: 'glyphicon glyphicon-info-sign',
+        entries: []
+    });
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js	(revision 12546)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js	(revision 12546)
@@ -0,0 +1,4 @@
+﻿(function () {
+    var module = appAboutPlugin.getAngularModule();
+    module.controller('app.about.ctrl', ['$scope', function ($scope) { }]);
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/filter/filters.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/filter/filters.js	(revision 12546)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/filter/filters.js	(revision 12546)
@@ -0,0 +1,44 @@
+﻿(function () {
+    var module = appMainPlugin.getAngularModule();
+    module.filter('kbToGB', function () {
+        return function (text, length, end) {
+            if (text == null || text == '') text = '0';
+            text = Math.round(parseInt(text, 10) / 1024);
+            return text;
+        };
+    });
+
+    module.filter('toDate', function () {
+        return function (text, length, end) {
+            if (text == null || text == '' || text.length < 19)
+                return 'Invalid';
+            var day = text.slice(8, 10);
+            var month = text.slice(5, 7);
+            var year = text.slice(0, 4);
+            var hour = text.slice(11, 13);
+            var minute = text.slice(14, 16);
+            var second = text.slice(17, 19);
+            return day + '.' + month + '.' + year + ' ' + hour + ':' + minute + ':' + second;
+        };
+    });
+
+    module.filter('toTimespan', function () {
+        return function (text, length, end) {
+            if (text == null || text == '') text = '0';
+            var d = Number(parseInt(text, 10));
+            var years = Math.floor(d / 31536000);
+            var days = Math.floor(d / 86400 % 365);
+            var h = Math.floor(d / 3600 % 24);
+            var m = Math.floor(d % 3600 / 60);
+            var s = Math.floor(d % 3600 % 60);
+            var timeStr = "";
+            if (years > 0) {
+                timeStr = years + "y ";
+            }
+            if (days > 0) {
+                timeStr = timeStr + days + "d ";
+            }
+            return timeStr + h.zeropad(2) + ":" + m.zeropad(2) + ":" + s.zeropad(2);
+        };
+    });
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/packages.config
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/packages.config	(revision 12545)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/packages.config	(revision 12546)
@@ -1,5 +1,5 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <packages>
-  <package id="Antlr" version="3.4.1.9004" targetFramework="net45" />
+  <package id="Antlr" version="3.5.0.2" targetFramework="net45" />
   <package id="Microsoft.AspNet.Mvc" version="5.2.3" targetFramework="net45" />
   <package id="Microsoft.AspNet.Razor" version="3.2.3" targetFramework="net45" />
@@ -11,5 +11,5 @@
   <package id="Microsoft.AspNet.WebPages" version="3.2.3" targetFramework="net45" />
   <package id="Microsoft.Web.Infrastructure" version="1.0.0.0" targetFramework="net45" />
-  <package id="Newtonsoft.Json" version="6.0.8" targetFramework="net45" />
-  <package id="WebGrease" version="1.5.2" targetFramework="net45" />
+  <package id="Newtonsoft.Json" version="7.0.1" targetFramework="net45" />
+  <package id="WebGrease" version="1.6.0" targetFramework="net45" />
 </packages>