Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs	(revision 12555)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs	(revision 12556)
@@ -47,4 +47,7 @@
     }
 
+    public ActionResult RedirectUrl(string url) {
+      return RedirectPermanent(url);
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12555)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12556)
@@ -8,5 +8,5 @@
                 <div class="panel-body">
                     <p>
-                        Heuristic and Evolutionary Algorithms Laboratory (HEAL)<br />
+                        <strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong><br />
                         School of Informatics, Communications and Media<br />
                         University of Applied Sciences Upper Austria<br />
@@ -27,12 +27,13 @@
                 </div>
                 <div class="panel-body">
-                    <p><strong>Support and Inquiries</strong>: ​<a href="mailto:#">support@heuristiclab.com</a></p>
-                    <p><strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong>: <a href="​http://heal.heuristiclab.com">​http://heal.heuristiclab.com</a></p>
+                    <p><strong>Support and Inquiries</strong>: ​<a href="mailto:support@heuristiclab.com">support@heuristiclab.com</a></p>
+                    <p><strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong>: <a href="App/RedirectUrl?url=http://heal.heuristiclab.com">​http://heal.heuristiclab.com</a></p>
+                    <p><strong>HeuristicLab development site</strong>: <a href="App/RedirectUrl?url=http://dev.heuristiclab.com">http://dev.heuristiclab.com</a></p>
                     <p>
-                        <strong>Head of HeuristicLab</strong>:<br />
+                        <strong>Head of HeuristicLab</strong>: <br />
                         FH-Prof. DI Dr. Stefan Wagner<br />
-                        Phone: +43 50804 22030<br />
-                        Fax: +43 50804 21599<br />
-                        E-mail: <a href="mailto:#">stefan.wagner@heuristiclab.com</a><br />
+                        <span class="glyphicon glyphicon-phone-alt"></span> +43 50804 22030<br />
+                        <span class="glyphicon glyphicon-print"></span> +43 50804 21599<br />
+                        <span class="glyphicon glyphicon-envelope"></span> <a href="mailto:stefan.wagner@heuristiclab.com">stefan.wagner@heuristiclab.com</a><br />
                     </p>
                 </div>
@@ -45,8 +46,8 @@
             <div class="panel panel-default">
                 <div class="panel-heading">
-                    <h3 class="panel-title">Disclaimer of Liability and Endorsement</h3>
+                    <h3 class="panel-title">Disclaimer</h3>
                 </div>
                 <div class="panel-body">
-                    <p style="text-align:justify">HeuristicLab is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details (http://www.gnu.org/licenses). All contents on the development homepage and wiki of the HeuristicLab have been compiled carefully. Still, the Heuristic and Evolutionary Algorithms Laboratory (HEAL) makes no guarantees of accuracy, completeness and timeliness of the information on this website. Therefore HEAL accepts no responsibility or liability for damages or losses resulting from the use of this website and/or the software.</p>
+                    <p style="text-align: justify">HeuristicLab, Hive and HeuristicLab WebApp are distributed in the hope that they will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details (<a href="App/RedirectUrl?url=http://www.gnu.org/licenses">http://www.gnu.org/licenses</a>). </p>
                 </div>
             </div>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/loginCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/loginCtrl.js	(revision 12555)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/loginCtrl.js	(revision 12556)
@@ -9,5 +9,5 @@
                         $window.location.reload();
                     } else {
-                        $scope.result = "error logging in";
+                        $scope.result = "Invalid username or password. Please try again.";
                     }
                 });